PROGRAM PROG
	SYSTEM FP220AE

//http://downloads.efka.net/Koenig/html/index.htm

/*
Info:
-----
Basisprogramm

*/


//-------------------------------------------------------------------------------------------------------
//
// Units
//
//-------------------------------------------------------------------------------------------------------
//USES "Units\Unit_Setfppedal"
//USES "Units\Unit_Waitms"
//USES "Units\Unit_Preset"
//USES "Units\Unit_InOut"

//-------------------------------------------------------------------------------------------------------
//
// Bezeichner und Variablen
//
//-------------------------------------------------------------------------------------------------------
CONST
PARA_EFKA_PROJEKTNUMMER                            : VALUE := 777;//Eindeutige EFKA Versionsnummer
PARA_VERSION                                       : VALUE := 778;//Programm-Version

EFKA_PROJEKTNUMMER                                 : VALUE := 1000;
VERSIONSNUMMER                                     : VALUE := 1;

//Bitparameter 0/1
PARA_PRESETPARAMETER                             : VALUE := 601;

//Wertparameter 0-65535
PARA_LASTERROR                                   : VALUE := 798;


//Werte fue SetTaskTime
TASKTIME_MIN                                     : VALUE := 1;
TASKTIME_MAX                                     : VALUE := 30;

VAR
ErrorValue                                       : VALUE;
dummy                                            : BIT;
Ablauf_Seam_Data_Manager                         : VALUE;

ALIAS
TIMER_WAITMS                                     : Timer1;



//-------------------------------------------------------------------------------------------------------
//
// Funktionen
//
//-------------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------------
//Basiswert der Variablen nach dem Einschalten
PROCEDURE InitVars()
Ablauf_Seam_Data_Manager                         := 0;
ErrorValue                                       := 0;
dummy                                            := FALSE;
END_PROCEDURE

//-------------------------------------------------------------------------------------------------------
//Lies Fehler der Steuerung aus und speichert den Wert im Parameter
PROCEDURE ErrorDetect()
 ErrorValue := ErrorCode;
 IF (ErrorValue) THEN
  SetParameter(PARA_LASTERROR,ErrorValue);
 END_IF;
END_PROCEDURE

//-------------------------------------------------------------------------------------------------------
//
// Tasks
//
//-------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------
//
// Startinit
//
//-------------------------------------------------------------------------------------------------------
BEGIN
dummy := dummy;
SetParameter(PARA_VERSION,VERSIONSNUMMER);
SetParameter(PARA_EFKA_PROJEKTNUMMER,EFKA_PROJEKTNUMMER);
CreateDisplay();

InitVars();

//Preset();

KillDisplay();
SetTaskTime(TASKTIME_MAX);
//-------------------------------------------------------------------------------------------------------
//
// Hauptschleife
//
//-------------------------------------------------------------------------------------------------------
WHILE(1)

 SELECT (Ablauf_Seam_Data_Manager) OF

  CASE 0://Init
   SetWaitForSeamBegin  := ON;
    Ablauf_Seam_Data_Manager := 1;

  CASE 1://Warten auf Nahtanfang 
   IF(WaitForSeamBegin)THEN //xxxx
   //TimerSetOut (Timer,Value,Output,State)
    TimerSetOut(Timer2,500,SetOut7,ON);
    SetWaitForSeamBegin  := OFF;    
    SetWaitForSeamEnd   := ON;   
    Ablauf_Seam_Data_Manager := 2;
   END_IF; 

  CASE 2://Warten auf Nahtende
   IF (WaitForSeamEnd) THEN
    TimerSetOut(Timer2,500,SetOut8,ON);
    SetWaitForSeamBegin := ON;
    SetWaitForSeamEnd   := OFF;   
    Ablauf_Seam_Data_Manager := 0;
   END_IF; 

 END_SELECT;
 
 SetDisplayValue(Ablauf_Seam_Data_Manager,1,0,0);
 SetDisplayValue(GetSpeed(),2,0,0);
 
 
END_WHILE;
END.